DefaultScoring
{
  RacePitKPH = 80
  NormalPitKPH = 60
  Practice1Day = Friday
  Practice1Start = 11:00
  Practice1Duration = 60
  Practice2Day = Friday
  Practice2Start = 13:00
  Practice2Duration = 60
  Practice3Day = Saturday
  Practice3Start = 9:00
  Practice3Duration = 45
  Practice4Day = Saturday
  Practice4Start = 10:15
  Practice4Duration = 45
  QualifyDay = Saturday
  QualifyStart = 13:00
  QualifyDuration = 60
  QualifyLaps = 12
  WarmupDay = Sunday
  WarmupStart = 9:30
  WarmupDuration = 30
  RaceDay = Sunday
  RaceStart = 14:00
  RaceLaps = 50
  RaceTime = 120
}
SeasonRaces
{
  Australia
  {
    RaceLaps = 58
    Attrition = 23
    TrackName = Australia, Albert Park
    EventName = 2002 AUSTRALIAN GRAND PRIX
    GrandPrixName = Albert Park
    LOCATION = Australia, Melbourne
    FIRST GRAND PRIX = 1996
    CIRCUIT LENGTH = 3.295 m./5.302 km.
    LAP RECORD = Michael Schumacher, 1:28.214
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. M. Hakkinen
          Driver4 = 4. H. Frentzen
          Driver5 = 5. R. Schumacher
          Driver6 = 6. D. Coulthard
        }
        Times
        {
          M. Schumacher = 1:26.892
          R. Barrichello = 1:27.263
          M. Hakkinen = 1:27.461
          H. Frentzen = 1:27.658
          R. Schumacher = 1:27.719
          D. Coulthard = 1:28.010
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. D. Coulthard
          Driver3 = 3. R. Barrichello
          Driver4 = 4. N. Heidfeld
          Driver5 = 5. H. Frentzen
          Driver6 = 6. K. Raikkonen
        }
        Times
        {
          M. Schumacher = 1:38:26.533
          D. Coulthard = + 0:01.717
          R. Barrichello = + 0:33.491
          N. Heidfeld = + 1:11.479
          H. Frentzen = + 1:12.807
          K. Raikkonen = + 1:24.143
        }
      }
    }
    Qualifying
    {
      Rubens Barrichello = 85.843
      Michael Schumacher = 85.848
      Ralf Schumacher = 86.279
      David Coulthard = 86.446
      Kimi Raikkonen = 87.161
      Juan Montoya = 87.249
      Jarno Trulli = 87.710
      Giancarlo Fisichella = 87.869
      Felipe Massa = 87.972
      Nick Heidfeld = 88.232
      Jenson Button = 88.361
      Olivier Panis = 88.381
      Jacques Villeneuve = 88.657
      Mika Salo = 89.205
      Heinz-Harald Frentzen = 89.474
      Allan McNish = 89.636
      Enrique Bernoldi = 89.738
      Mark Webber = 90.086
      Eddie Irvine = 90.113
      Pedro De La Rosa = 90.192
      Alex Yoong = 91.504
      Takuma Sato = 113.351
    }
    RaceResults
    {
      Michael Schumacher = 1:35:36.792
      Juan Montoya = +  0:18.628
      Kimi Raikkonen = +  0:25.067
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Mika Salo = +  2 Laps
      Alex Yoong = +  3 Laps
      Pedro De La Rosa = +  5 Laps
      David Coulthard = DNF - Gearbox
      Jacques Villeneuve = DNF - Accident
      Takuma Sato = DNF - Gearbox
      Jarno Trulli = DNF - Accident
      Rubens Barrichello = DNF - Accident
      Ralf Schumacher = DNF - Accident
      Giancarlo Fisichella = DNF - Accident
      Felipe Massa = DNF - Accident
      Nick Heidfeld = DNF - Accident
      Jenson Button = DNF - Accident
      Olivier Panis = DNF - Accident
      Allan McNish = DNF - Accident
      Heinz-Harald Frentzen = DQ
      Enrique Bernoldi = DQ
    }
    RaceEvents
    {
      David Coulthard
      {
        33 = Gearbox
      }
      Takuma Sato
      {
        12 = Gearbox
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Overcast
        TrackWetness = Damp
        AmbientTemp = 14
        TrackTemp = 15
        Minute = 50
        {
          Conditions = Overcast
          TrackWetness = Dry
        }
      }
      Practice2
      {
        Conditions = Cloudy
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
        Minute = 6
        {
          Conditions = Overcast
          TrackWetness = Dry
        }
        Minute = 31
        {
          Conditions = Overcast
          TrackWetness = Dry
        }
        Minute = 40
        {
          Conditions = Rain
        }
        Minute = 44
        {
          Conditions = Overcast
        }
      }
      Practice3
      {
        Conditions = Overcast
        TrackWetness = Dry
        AmbientTemp = 17
        TrackTemp = 18
      }
      Practice4
      {
        Conditions = Overcast
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
        Minute = 25
        {
          Conditions = Overcast
        }
        Minute = 30
        {
          Conditions = Drizzle
        }
        Minute = 37
        {
          Conditions = Rain
        }
        Minute = 41
        {
          Conditions = Rain
        }
        Minute = 42
        {
          Conditions = Drizzle
        }
      }
      Qualify
      {
        Conditions = Overcast
        TrackWetness = Dry
        AmbientTemp = 16
        TrackTemp = 18
        Minute = 20
        {
          Conditions = Overcast
        }
        Minute = 22
        {
          Conditions = Rain
        }
        Minute = 48
        {
          Conditions = Rain
        }
        Minute = 57
        {
          Conditions = Overcast
        }
      }
      Warmup
      {
        Conditions = Overcast
        TrackWetness = Soaked
        AmbientTemp = 14
        TrackTemp = 15
      }
      Race
      {
        Conditions = Cloudy
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 20
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 38
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 37
      David Coulthard = 1 - 39
      Ralf Schumacher = 1 - 37
      Juan Montoya = 1 - 38
      Giancarlo Fisichella = 1 - 36
      Jenson Button = 1 - 37
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 35
      Enrique Bernoldi = 1 - 36
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 1 - 37
      Pedro De La Rosa = 1 - 40
      Alex Yoong = 1 - 37
      Mark Webber = 1 - 35
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 33
      Allan McNish = 1 - 35
    }
  }
  Malaysia
  {
    RaceLaps = 56
    Attrition = 18
    TrackName = Malaysia, Sepang
    EventName = 2002 MALAYSIAN GRAND PRIX
    GrandPrixName = Sepang
    LOCATION = Malaysia, Sepang
    FIRST GRAND PRIX = 1999
    CIRCUIT LENGTH = 3.444 m./5.542 km.
    LAP RECORD = Mika Hakkinen, 1:38.451
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. R. Schumacher
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. J. Trulli
          Driver6 = 6. J. Montoya
        }
        Times
        {
          M. Schumacher = 1:35.220
          R. Barrichello = 1:35.319
          R. Schumacher = 1:35.511
          M. Hakkinen = 1:36.040
          J. Trulli = 1:36.180
          J. Montoya = 1:36.218
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. D. Coulthard
          Driver4 = 4. H. Frentzen
          Driver5 = 5. R. Schumacher
          Driver6 = 6. M. Hakkinen
        }
        Times
        {
          M. Schumacher = 1:47:34.801
          R. Barrichello = + 0:23.660
          D. Coulthard = + 0:28.550
          H. Frentzen = + 0:46.543
          R. Schumacher = + 0:48.233
          M. Hakkinen = + 0:48.606
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 95.266
      Juan Montoya = 95.497
      Rubens Barrichello = 95.891
      Ralf Schumacher = 96.028
      Kimi Raikkonen = 96.468
      David Coulthard = 96.477
      Nick Heidfeld = 97.199
      Jenson Button = 97.245
      Giancarlo Fisichella = 97.536
      Mika Salo = 97.694
      Heinz-Harald Frentzen = 97.919
      Jarno Trulli = 97.920
      Jacques Villeneuve = 98.039
      Felipe Massa = 98.057
      Takuma Sato = 98.141
      Enrique Bernoldi = 98.284
      Pedro De La Rosa = 98.374
      Olivier Panis = 98.390
      Allan McNish = 98.959
      Eddie Irvine = 99.121
      Mark Webber = 99.454
      Alex Yoong = 100.158
    }
    RaceResults
    {
      Ralf Schumacher = 1:34:12.912
      Juan Montoya = +  0:39.700
      Michael Schumacher = +  1:01.795
      Jenson Button = +  1:09.767
      Nick Heidfeld = +  1 Lap
      Felipe Massa = +  1 Lap
      Allan McNish = +  1 Lap
      Jacques Villeneuve = +  1 Lap
      Takuma Sato = +  2 Laps
      Pedro De La Rosa = +  2 Laps
      Heinz-Harald Frentzen = +  2 Laps
      Mika Salo = +  3 Laps
      Giancarlo Fisichella = +  3 Laps
      Rubens Barrichello = DNF - Engine
      Mark Webber = DNF - Electronics
      Eddie Irvine = DNF - Electronics
      Alex Yoong = DNF - Gearbox
      Kimi Raikkonen = DNF - Engine
      Enrique Bernoldi = DNF - Electronics
      David Coulthard = DNF - Engine
      Olivier Panis = DNF - Clutch
      Jarno Trulli = DNF - Engine
    }
    RaceEvents
    {
      Jarno Trulli
      {
        9 = Engine
      }
      Olivier Panis
      {
        9 = Clutch
      }
      David Coulthard
      {
        15 = Engine
      }
      Enrique Bernoldi
      {
        20 = Electronics
      }
      Kimi Raikkonen
      {
        24 = Engine
      }
      Alex Yoong
      {
        29 = Gearbox
      }
      Eddie Irvine
      {
        30 = Electronics
      }
      Rubens Barrichello
      {
        39 = Engine
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 35
        Minute = 56
        {
          TrackTemp = 37
        }
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 31
        TrackTemp = 37
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 26
        TrackTemp = 26
        Minute = 45
        {
          TrackTemp = 30
        }
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 27
        TrackTemp = 30
        Minute = 24
        {
          TrackTemp = 34
        }
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 31
        TrackTemp = 37
        Minute = 6
        {
          TrackTemp = 38
        }
      }
      Warmup
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 31
        TrackTemp = 35
      }
      Race
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 34
        TrackTemp = 38
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 2 - 18,40
      Rubens Barrichello = 2 - 21,35
      Kimi Raikkonen = 2 - 25,42
      David Coulthard = 2 - 15,35
      Ralf Schumacher = 1 - 31
      Juan Montoya = 2 - 21,39
      Giancarlo Fisichella = 1 - 29
      Jenson Button = 1 - 31
      Olivier Panis = 1 - 28
      Jacques Villeneuve = 1 - 26
      Takuma Sato = 1 - 27
      Jarno Trulli = 1 - 29
      Enrique Bernoldi = 2 - 19,36
      Nick Heidfeld = 2 - 19,36
      Felipe Massa = 2 - 22,37
      Eddie Irvine = 1 - 26
      Pedro De La Rosa = 2 - 21,38
      Alex Yoong = 2 - 19,38
      Mark Webber = 1 - 27
      Heinz-Harald Frentzen = 2 - 21,38
      Mika Salo = 2 - 20,37
      Allan McNish = 1 - 25
    }
  }
  Brazil
  {
    RaceLaps = 71
    Attrition = 22
    TrackName = Brazil, Interlagos
    EventName = 2002 BRAZILIAN GRAND PRIX
    GrandPrixName = Interlagos
    LOCATION = Brazil, Sau Paulo
    FIRST GRAND PRIX = 1973
    CIRCUIT LENGTH = 2.667 m./4.292 km.
    LAP RECORD = Michael Schumacher, 1:14.750
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Schumacher
          Driver3 = 3. M. Hakkinen
          Driver4 = 4. J. Montoya
          Driver5 = 5. D. Coulthard
          Driver6 = 6. R. Barrichello
        }
        Times
        {
          M. Schumacher = 1:13.780
          R. Schumacher = 1:14.090
          M. Hakkinen = 1:14.122
          J. Montoya = 1:14.165
          D. Coulthard = 1:14.178
          R. Barrichello = 1:14.191
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. D. Coulthard
          Driver2 = 2. M. Schumacher
          Driver3 = 3. N. Heidfeld
          Driver4 = 4. O. Panis
          Driver5 = 5. J. Trulli
          Driver6 = 6. G. Fisichella
        }
        Times
        {
          D. Coulthard = + 1:39:00.384
          M. Schumacher = + 0:16.164
          N. Heidfeld = + 1 Lap
          O. Panis = + 1 Lap
          J. Trulli = + 1 Lap
          G. Fisichella = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Juan Montoya = 73.114
      Michael Schumacher = 73.241
      Ralf Schumacher = 73.328
      David Coulthard = 73.565
      Kimi Raikkonen = 73.595
      Jarno Trulli = 73.611
      Jenson Button = 73.665
      Rubens Barrichello = 73.935
      Nick Heidfeld = 74.233
      Mika Salo = 74.443
      Pedro De La Rosa = 74.464
      Felipe Massa = 74.533
      Eddie Irvine = 74.537
      Giancarlo Fisichella = 74.748
      Jacques Villeneuve = 74.760
      Allan McNish = 74.990
      Olivier Panis = 74.996
      Heinz-Harald Frentzen = 75.112
      Takuma Sato = 75.296
      Mark Webber = 75.340
      Enrique Bernoldi = 75.355
      Alex Yoong = 76.728
    }
    RaceResults
    {
      Michael Schumacher = 1:31:43.663
      Ralf Schumacher = +  0:00.588
      David Coulthard = +  0:59.521
      Jenson Button = +  1:06.883
      Juan Montoya = +  1:07.563
      Mika Salo = +  1 Lap
      Eddie Irvine = +  1 Lap
      Pedro De La Rosa = +  1 Lap
      Takuma Sato = +  2 Laps
      Jacques Villeneuve = +  2 Laps
      Mark Webber = +  3 Laps
      Kimi Raikkonen = +  3 Laps
      Alex Yoong = +  4 Laps
      Nick Heidfeld = DNF - Brakes
      Jarno Trulli = DNF - Engine
      Felipe Massa = DNF - Accident
      Allan McNish = DNF - Accident
      Olivier Panis = DNF - Gearbox
      Heinz-Harald Frentzen = DNF - Gearbox
      Enrique Bernoldi = DNF - Suspension
      Rubens Barrichello = DNF - Electronics
      Giancarlo Fisichella = DNF - Engine
    }
    RaceEvents
    {
      Giancarlo Fisichella
      {
        6 = Engine
      }
      Rubens Barrichello
      {
        16 = Electronics
      }
      Enrique Bernoldi
      {
        19 = Suspension
      }
      Heinz-Harald Frentzen
      {
        25 = Gearbox
      }
      Olivier Panis
      {
        25 = Gearbox
      }
      Jarno Trulli
      {
        60 = Engine
      }
      Nick Heidfeld
      {
        61 = Brakes
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 28
        TrackTemp = 37
      }
      Practice2
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 39
        Minute = 21
        {
          Conditions = Cloudy
        }
        Minute = 50
        {
          TrackTemp = 42
        }
      }
      Practice3
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 24
      }
      Practice4
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 21
        TrackTemp = 24
        Minute = 20
        {
          TrackTemp = 34
        }
        Minute = 43
        {
          TrackTemp = 38
        }
      }
      Qualify
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 32
        TrackTemp = 43
      }
      Warmup
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 26
        TrackTemp = 27
      }
      Race
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 32
        TrackTemp = 39
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 39
      Rubens Barrichello = 2 - 22,45
      Kimi Raikkonen = 1 - 46
      David Coulthard = 1 - 45
      Ralf Schumacher = 1 - 44
      Juan Montoya = 1 - 43
      Giancarlo Fisichella = 1 - 29
      Jenson Button = 1 - 44
      Olivier Panis = 2 - 25,44
      Jacques Villeneuve = 2 - 23,46
      Takuma Sato = 1 - 27
      Jarno Trulli = 1 - 43
      Enrique Bernoldi = 2 - 24,41
      Nick Heidfeld = 1 - 43
      Felipe Massa = 2 - 25,42
      Eddie Irvine = 1 - 44
      Pedro De La Rosa = 1 - 42
      Alex Yoong = 2 - 23,46
      Mark Webber = 2 - 34,50
      Heinz-Harald Frentzen = 2 - 23,46
      Mika Salo = 1 - 38
      Allan McNish = 1 - 28
    }
  }
  SanMarino
  {
    RaceLaps = 62
    Attrition = 40
    TrackName = San Marino, Enzo e Dino Ferrari
    EventName = 2002 SAN MARINO GRAND PRIX
    GrandPrixName = Imola
    LOCATION = San Marino, Imola
    FIRST GRAND PRIX = 1980
    CIRCUIT LENGTH = 3.064 m./4.930 km.
    LAP RECORD = Ralf Schumacher, 1:25.524
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. D. Coulthard
          Driver2 = 2. M. Hakkinen
          Driver3 = 3. R. Schumacher
          Driver4 = 4. M. Schumacher
          Driver5 = 5. J. Trulli
          Driver6 = 6. R. Barrichello
        }
        Times
        {
          D. Coultard = 1:23.054
          M. Hakkinen = 1:23.282
          R. Schumacher = 1:23.357
          M. Schumacher = 1:23.593
          J. Trulli = 1:23.658
          R. Barrichello = 1:23.786
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. R. Schumacher
          Driver2 = 2. D. Coulthard
          Driver3 = 3. R. Barrichello
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. J. Trulli
          Driver6 = 6. H. Frentzen
        }
        Times
        {
          R. Schumacher = 1:30:44.817
          D. Coulthard = + 0:04.352
          R. Barrichello = + 0:34.766
          M. Hakkinen = + 0:36.315
          J. Trulli = + 1:25.558
          H. Frentzen = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Overcast
        TrackWetness = Wet
        AmbientTemp = 23
        TrackTemp = 28
        Lap = 10
        {
          Conditions = Overcast
          AmbientTemp = 24
        }
        Lap = 28
        {
          Conditions = Sunny
          AmbientTemp = 26
        }
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Spain
  {
    RaceLaps = 65
    Attrition = 23
    TrackName = Spain, Circuit de Catalunya
    EventName = 2002 SPANISH GRAND PRIX
    GrandPrixName = Barcelona
    LOCATION = Spain, Barcelona
    FIRST GRAND PRIX = 1991
    CIRCUIT LENGTH = 2.938 m./4.728 km.
    LAP RECORD = Michael Schumacher, 1:21.151
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. M. Hakkinen
          Driver3 = 3. D. Coulthard
          Driver4 = 4. R. Barrichello
          Driver5 = 5. R. Schumacher
          Driver6 = 6. H. Frentzen
        }
        Times
        {
          M. Schumacher = 1:18.201
          M. Hakkinen = 1:18.286
          D. Coulthard = 1:18.635
          R. Barrichello = 1:18.674
          R. Shumacher = 1:19.016
          J. Trulli = 1:19.093
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. J. Montoya
          Driver3 = 3. J. Villeneuve
          Driver4 = 4. J. Trulli
          Driver5 = 5. D. Coulthard
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Schumacher = 1:31:03.305
          J. Montoya = + 0:40.738
          J. Villeneuve = + 0:49.626
          J. Trulli = + 0:51.253
          D. Coulthard = + 0:51.616
          N. Heidfeld = + 1:01.893
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Austria
  {
    RaceLaps = 71
    Attrition = 45
    TrackName = Austria, A1-Ring
    EventName = 2002 AUSTRIAN GRAND PRIX
    GrandPrixName = A1-Ring
    LOCATION = Austria, Knittelfeld
    FIRST GRAND PRIX = 1997
    CIRCUIT LENGTH = 2.684 m./4.319 km.
    LAP RECORD = David Coulthard, 1:10.843
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. J. Montoya
          Driver3 = 3. R. Schumacher
          Driver4 = 4. R. Barrichello
          Driver5 = 5. J. Trulli
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Schumacher = 1:09.562
          J. Montoya = 1:09.686
          R. Schumacher = 1:09.769
          R. Barrichello = 1:09.786
          J. Trulli = 1:10.202
          N. Heidfeld = 1:10.211
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. D. Coulthard
          Driver2 = 2. M. Schumacher
          Driver3 = 3. R. Barrichello
          Driver4 = 4. K. Raikkonen
          Driver5 = 5. O. Panis
          Driver6 = 6. J. Verstappen
        }
        Times
        {
          D. Coulthard = 1:27:45.927
          M. Schumacher = + 0:02.191
          R. Barrichello = + 0:02.528
          K. Raikkonen = + 0:41.594
          O. Panis = + 0:53.776
          J. Verstappen = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Monaco
  {
    RacePitKPH = 60
    NormalPitKPH = 60
    Practice1Day = Thursday
    Practice2Day = Thursday
    RaceLaps = 78
    Attrition = 36
    TrackName = Monte Carlo, Monaco
    EventName = 2002 MONTE CARLO GRAND PRIX
    GrandPrixName = Monaco
    LOCATION = Monte Carlo, Monaco
    FIRST GRAND PRIX = 1928
    CIRCUIT LENGTH = 2.092 m./3.367 km.
    LAP RECORD = David Coulthard, 1:19.424
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. D. Coulthard
          Driver2 = 2. M. Schumacher
          Driver3 = 3. M. Hakkinen
          Driver4 = 4. R. Barrichello
          Driver5 = 5. R. Schumacher
          Driver6 = 6. E. Irvine
        }
        Times
        {
          D. Coulthard = 1:17.430
          M. Schumacher = 1:17.631
          M. Hakkinen = 1:17.749
          R. Barrichello = 1:17.856
          R. Schumacher = 1:18.029
          E. Irvine = 1:18.432
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. E. Irvine
          Driver4 = 4. J. Villeneuve
          Driver5 = 5. D. Coulthard
          Driver6 = 6. J. Alesi
        }
        Times
        {
          M. Schumacher = 1:47:22.561
          R. Barrichello = + 0:00:431
          E. Irvine = + 0:30.698
          J. Villeneuve = + 0:32.454
          D. Coulthard = + 1 Lap
          J. Alesi = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Canada
  {
    RaceLaps = 69
    Attrition = 50
    TrackName = Canada, Gilles Villeneuve
    EventName = 2002 CANADIAN GRAND PRIX
    GrandPrixName = Gilles Villeneuve
    LOCATION = Canada, Montreal
    FIRST GRAND PRIX = 1978
    CIRCUIT LENGTH = 2.747 m./4.421 km.
    LAP RECORD = Ralf Schumacher, 1:17.205
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Schumacher
          Driver3 = 3. D. Coulthard
          Driver4 = 4. J. Trulli
          Driver5 = 5. R. Barrichello
          Driver6 = 6. O. Panis
        }
        Times
        {
          M. Schumacher = 1:15.782
          R. Schumacher = 1:16.297
          D. Coulthard = 1:16.423
          J. Trulli = 1:16.459
          R. Barrichello = 1:16.760
          O. Panis = 1:16.771
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. R. Schumacher
          Driver2 = 2. M. Schumacher
          Driver3 = 3. M. Hakkinen
          Driver4 = 4. K. Raikkonen
          Driver5 = 5. J. Alesi
          Driver6 = 6. P. de la Rosa
        }
        Times
        {
          R. Schumacher = 1:34:31.522
          M. Schumacher = + 0:20.235
          M. Hakkinen = + 0:40.672
          K. Raikkonen = + 1:08.115
          J. Alesi = + 1:10.435
          P. de la Rosa = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Europe
  {
    RaceLaps = 60
    Attrition = 23
    TrackName = Europe, Nurburgring
    EventName = 2002 EUROPEAN GRAND PRIX
    GrandPrixName = Nurburgring
    LOCATION = Germany, Koblenz
    FIRST GRAND PRIX = 1951
    CIRCUIT LENGTH = 2.831 m./4.556 km.
    LAP RECORD = Juan Montoya, 1:18.354
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Schumacher
          Driver3 = 3. J. Montoya
          Driver4 = 4. R. Barrichello
          Driver5 = 5. D. Coulthard
          Driver6 = 6. M. Hakkinen
        }
        Times
        {
          M. Schumacher = 1:14.960
          R. Schumacher = 1:15.226
          J. Montoya = 1:15.490
          R. Barrichello = 1:15.622
          D. Coulthard = 1:15.717
          M. Hakkinen = 1:15.776
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. J. Montoya
          Driver3 = 3. D. Coulthard
          Driver4 = 4. R. Schumacher
          Driver5 = 5. R. Barrichello
          Driver6 = 6. M. Hakkinen
        }
        Times
        {
          M. Schumacher = 1:29:42.724
          J. Montoya = + 0:08.100
          D. Coulthard = + 0:24.993
          R. Schumacher = + 0:33.345
          R. Barrichello = + 0:45.495
          M. Hakkinen = + 1:04.868
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Drizzle
        TrackWetness = Damp
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 44
        {
          Conditions = Rain
          AmbientTemp = 28
        }
        Lap = 56
        {
          Conditions = Monsoon
          AmbientTemp = 26
        }
        Lap = 71
        {
          Conditions = Overcast
          AmbientTemp = 22
        }
      }
      Race = 10
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 20
        {
          Conditions = Clear
          AmbientTemp = 28
        }
        Lap = 30
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 45
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 60
        {
          Conditions = Clear
          AmbientTemp = 26
        }
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  GreatBritain
  {
    RaceLaps = 60
    Attrition = 45
    TrackName = Great Britain, Silverstone
    EventName = 2002 BRITISH GRAND PRIX
    GrandPrixName = Silverstone
    LOCATION = England, Towcester
    FIRST GRAND PRIX = 1950
    CIRCUIT LENGTH = 3.194 m./5.140 km.
    LAP RECORD = Mika Hakkinen, 1:23.405
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. M. Hakkinen
          Driver3 = 3. D. Coulthard
          Driver4 = 4. J. Trulli
          Driver5 = 5. H. Frentzen
          Driver6 = 6. R. Barrichello
        }
        Times
        {
          M. Schumacher = 1:20.447
          M. Hakkinen = 1:20.529
          D. Coulthard = 1:20.927
          J. Trulli = 1:20.930
          H. Frentzen = 1:21.217
          R. Barrichello = 1:21.715
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Hakkinen
          Driver2 = 2. M. Schumacher
          Driver3 = 3. R. Barrichello
          Driver4 = 4. J. Montoya
          Driver5 = 5. K. Raikkonen
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Hakkinen = 1:25:33.770
          M. Schumacher = + 0:33.646
          R. Barrichello = + 0:59.280
          J. Montoya = + 1:18.772
          K. Raikkonen = + 1 Lap
          N. Heidfeld = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        0 = Stall
      }
      Alex Yoong
      {
        3 = Engine
      }
      Ralf Schumacher
      {
        6 = Engine
      }
      Jacques Villeneuve
      {
        15 = Suspension
      }
      Jenson Button
      {
        25 = Brakes
      }
      Kimi Raikkonen
      {
        30 = Gearbox
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine
      }
      Eddie Irvine
      {
        41 = Brakes
      }
      Olivier Panis
      {
        45 = Engine
      }
      Nick Heidfeld
      {
        50 = Engine
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 25
        TrackTemp = 23
      }
      Practice2
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 25
        TrackTemp = 26
      }
      Practice3
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 22
      }
      Practice4
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 26
        TrackTemp = 29
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 26
        TrackTemp = 28
      }
      Warmup
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 26
        TrackTemp = 28
      }
      Race
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 44
        {
          Conditions = Rain
          AmbientTemp = 28
        }
        Lap = 56
        {
          Conditions = Monsoon
          AmbientTemp = 26
        }
        Lap = 71
        {
          Conditions = Overcast
          AmbientTemp = 22
        }
      }
      Race = 10
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 20
        {
          Conditions = Clear
          AmbientTemp = 28
        }
        Lap = 30
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 45
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 60
        {
          Conditions = Clear
          AmbientTemp = 26
        }
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  France
  {
    RaceLaps = 72
    Attrition = 32
    TrackName = France, Magny-Cours
    EventName = 2002 FRENCH GRAND PRIX
    GrandPrixName = Magny-Cours
    LOCATION = France, Magny-Cours
    FIRST GRAND PRIX = 1991
    CIRCUIT LENGTH = 2.641 m./4.250 km.
    LAP RECORD = David Coulthard, 1:16.088
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. R. Schumacher
          Driver2 = 2. M. Schumacher
          Driver3 = 3. D. Coulthard
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. J. Trulli
          Driver6 = 6. J. Montoya
        }
        Times
        {
          R. Schumacher = 1:12.989
          M. Schumacher = 1:12.999
          D. Coulthard = 1:13.186
          M. Hakkinen = 1:13.268
          J. Trulli = 1:13.310
          J. Montoya = 1:13.625
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Schumacher
          Driver3 = 3. R. Barrichello
          Driver4 = 4. D. Coulthard
          Driver5 = 5. J. Trulli
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Schumacher = 1:33:35.636
          R. Schumacher = + 0:10.399
          R. Barrichello = + 0:16.381
          D. Coulthard = + 0:17.106
          J. Trulli = + 1:08.285
          N. Heidfeld = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Germany
  {
    RaceLaps = 67
    Attrition = 40
    TrackName = Germany, Hockenheim
    EventName = 2002 GERMAN GRAND PRIX
    GrandPrixName = Hockenheim
    LOCATION = Germany, Heidelberg
    FIRST GRAND PRIX = 1970
    CIRCUIT LENGTH = 4.240 m./6.823 km.
    LAP RECORD = Juan Montoya, 1:41.808
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. J. Montoya
          Driver2 = 2. R. Schumacher
          Driver3 = 3. M. Hakkinen
          Driver4 = 4. M. Schumacher
          Driver5 = 5. D. Coulthard
          Driver6 = 6. R. Barrichello
        }
        Times
        {
          J. Montoya = 1:38.117
          R. Schumacher = 1:38.136
          M. Hakkinen = 1:38.811
          M. Schumacher = 1:38.941
          D. Coulthard = 1:39.574
          R. Barrichello = 1:39.682
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. R. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. J. Villeneuve
          Driver4 = 4. G. Fisichella
          Driver5 = 5. J. Button
          Driver6 = 6. J. Alesi
        }
        Times
        {
          R. Schumacher = 1:18:17.873
          R. Barrichello = + 0:46.117
          J. Villeneuve = + 1:02.806
          G. Fisichella = + 1:03.477
          J. Button = + 1:05.454
          J. Alesi = + 1:05.950
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Sunny
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Hungary
  {
    RaceLaps = 77
    Attrition = 14
    TrackName = Hungary, Hungaroring
    EventName = 2002 HUNGARIAN GRAND PRIX
    GrandPrixName = Hungaroring
    LOCATION = Hungary, Budapest
    FIRST GRAND PRIX = 1986
    CIRCUIT LENGTH = 2.468 m./3.972 km.
    LAP RECORD = Mika Hakkinen, 1:16.723
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. D. Coulthard
          Driver3 = 3. R. Barrichello
          Driver4 = 4. R. Schumacher
          Driver5 = 5. J. Trulli
          Driver6 = 6. M. Hakkinen
        }
        Times
        {
          M. Schumacher = 1:14.059
          D. Coulthard = 1:14.860
          R. Barrichello = 1:14.953
          R. Schumacher = 1:15.095
          J. Trulli = 1:15.394
          M. Hakkinen = 1:15.411
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Barrichello
          Driver3 = 3. D. Coulthard
          Driver4 = 4. R. Schumacher
          Driver5 = 5. M. Hakkinen
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Schumacher = 1:41:49.675
          R. Barrichello = + 0:03.363
          D. Coulthard = + 0:03.940
          R. Schumacher = + 0:49.687
          M. Hakkinen = + 1:10.293
          N. Heidfeld = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Belgium
  {
    RaceLaps = 44
    Attrition = 18
    TrackName = Belgium, Spa-Francorchamps
    EventName = 2002 BELGIAN GRAND PRIX
    GrandPrixName = Spa-Francorchamps
    LOCATION = Belgium, Francorchamps
    FIRST GRAND PRIX = 1950
    CIRCUIT LENGTH = 4.330 m./6.968 km.
    LAP RECORD = Michael Schumacher, 1:49.758
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. J. Montoya
          Driver2 = 2. R. Schumacher
          Driver3 = 3. M. Schumacher
          Driver4 = 4. H. Frentzen
          Driver5 = 5. R. Barrichello
          Driver6 = 6. J. Villeneuve
        }
        Times
        {
          J. Montoya = 1:52.072
          R. Schumacher = 1:52.959
          M. Schumacher = 1:54.685
          H. Frentzen = 1:55.233
          R. Barrichello = 1:56.116
          J. Villeneuve = 1:57.038
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. D. Coulthard
          Driver3 = 3. G. Fisichella
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. R. Barrichello
          Driver6 = 6. J. Alesi
        }
        Times
        {
          M. Schumacher = 1:15:31.935
          D. Coulthard = + 0:10.098
          G. Fisichella = + 0:27.742
          M. Hakkinen = + 0:36.087
          R. Barrichello = + 0:54.521
          J. Alesi = + 0:59.684
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Drizzle
        TrackWetness = Damp
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 10
        {
          Conditions = Rain
          AmbientTemp = 28
        }
        Lap = 20
        {
          Conditions = Monsoon
          AmbientTemp = 26
        }
        Lap = 35
        {
          Conditions = Overcast
          AmbientTemp = 22
        }
      }
      Race = 10
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 30
        TrackTemp = 36
        Lap = 10
        {
          Conditions = Clear
          AmbientTemp = 28
        }
        Lap = 15
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 20
        {
          Conditions = Monsoon
          AmbientTemp = 28
        }
        Lap = 33
        {
          Conditions = Clear
          AmbientTemp = 26
        }
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Italy
  {
    RaceLaps = 53
    Attrition = 55
    TrackName = Italy, Monza
    EventName = 2002 ITALIAN GRAND PRIX
    GrandPrixName = Monza
    LOCATION = Italy, Monza
    FIRST GRAND PRIX = 1950
    CIRCUIT LENGTH = 3.585 m./5.770 km.
    LAP RECORD = Ralf Schumacher, 1:25.073
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. J. Montoya
          Driver2 = 2. R. Barrichello
          Driver3 = 3. M. Schumacher
          Driver4 = 4. R. Schumacher
          Driver5 = 5. J. Trulli
          Driver6 = 6. D. Coulthard
        }
        Times
        {
          J. Montoya = 1:22.216
          R. Barrichello = 1:22.528
          M. Schumacher = 1:22.624
          R. Schumacher = 1:22.841
          J. Trulli = 1:23.126
          D. Coulthard = 1:23.148
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. J. Montoya
          Driver2 = 2. R. Barrichello
          Driver3 = 3. R. Schumacher
          Driver4 = 4. M. Schumacher
          Driver5 = 5. P. de la Rosa
          Driver6 = 6. J. Villeneuve
        }
        Times
        {
          J. Montoya = 1:16:58.493
          R. Barrichello = + 0:05.100
          R. Schumacher = + 0:17.300
          M. Schumacher = + 0:24.900
          P. de la Rosa = + 1:14.900
          J. Villeneuve = + 1:22.400
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  UnitedStates
  {
    RacePitKPH = 120
    NormalPitKPH = 60
    RaceLaps = 73
    Attrition = 22
    TrackName = United States, Indianapolis
    EventName = 2002 UNITED STATES GRAND PRIX
    GrandPrixName = Indianapolis
    LOCATION = United States Of America, Indiana
    FIRST GRAND PRIX = 2000
    CIRCUIT LENGTH = 2.604 m./4.190 km.
    LAP RECORD = Juan Montoya, 1:14.448
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. R. Schumacher
          Driver3 = 3. J. Montoya
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. R. Barrichello
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Schumacher = 1:11.708
          R. Schumacher = 1:11.986
          J. Montoya = 1:12.252
          M. Hakkinen = 1:12.309
          R. Barrichello = 1:12.327
          N. Heidfeld = 1:12.434
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Hakkinen
          Driver2 = 2. M. Schumacher
          Driver3 = 3. D. Coulthard
          Driver4 = 4. J. Trulli
          Driver5 = 5. E. Irvine
          Driver6 = 6. N. Heidfeld
        }
        Times
        {
          M. Hakkinen = 1:32:42.840
          M. Schumacher = + 0:11.046
          D. Coulthard = + 0:12.043
          E. Irvine = + 1:12.434
          N. Heidfeld = + 1:12.996
          J. Alesi = + 1 Lap
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
  Japan
  {
    RaceLaps = 53
    Attrition = 30
    TrackName = Japan, Suzuka
    EventName = 2002 JAPANESE GRAND PRIX
    GrandPrixName = Suzuka
    LOCATION = Japan, Nagoya
    FIRST GRAND PRIX = 1987
    CIRCUIT LENGTH = 3.644 m./5.864 km.
    LAP RECORD = Ralf Schumacher, 1:36.944
    PrevYear
    {
      Grid
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. J. Montoya
          Driver3 = 3. R. Schumacher
          Driver4 = 4. R. Barrichello
          Driver5 = 5. M. Hakkinen
          Driver6 = 6. G. Fisichella
        }
        Times
        {
          M. Schumacher = 1:32.484
          J. Montoya = 1:33.184
          R. Schumacher = 1:33.297
          R. Barrichello = 1:33.323
          M. Hakkinen = 1:33.662
          G. Fisichella = 1:33.830
        }
      }
      Results
      {
        Drivers
        {
          Driver1 = 1. M. Schumacher
          Driver2 = 2. J. Montoya
          Driver3 = 3. D. Coulthard
          Driver4 = 4. M. Hakkinen
          Driver5 = 5. R. Barrichello
          Driver6 = 6. R. Schumacher
        }
        Times
        {
          M. Schumacher = 1:27:33.298
          J. Montoya = + 0:03.154
          D. Coulthard = + 0:23.262
          M. Hakkinen = + 0:35.539
          R. Barrichello = + 0:36.544
          R. Schumacher = + 0:37.122
        }
      }
    }
    Qualifying
    {
      Michael Schumacher = 86.892
      Rubens Barrichello = 87.263
      Kimi Raikkonen = 87.461
      Takuma Sato = 87.658
      Ralf Schumacher = 87.719
      David Coulthard = 88.010
      Jarno Trulli = 88.377
      Jacques Villeneuve = 88.435
      Olivier Panis = 88.518
      Nick Heidfeld = 88.615
      Juan Montoya = 88.738
      Eddie Irvine = 88.865
      Felipe Massa = 88.893
      Heinz-Harald Frentzen = 89.893
      Jenson Button = 90.035
      Giancarlo Fisichella = 90.209
      Enrique Bernoldi = 90.520
      Mark Webber = 90.657
      Pedro De La Rosa = 90.978
      Alex Yoong = 93.228
      Mika Salo = 93.345
      Allan McNish = 94.000
    }
    RaceResults
    {
      Michael Schumacher = 1:38:26.533
      David Coulthard = +  0:01.700
      Rubens Barrichello = +  0:33.400
      Nick Heidfeld = +  1:11.400
      Mika Salo = +  1:11.567
      Allan McNish = +  1:12.345
      Takuma Sato = +  1:12.800
      Felipe Massa = +  1:24.100
      Olivier Panis = +  1:27.000
      Pedro De La Rosa = +  1 Lap
      Heinz-Harald Frentzen = +  1 Lap
      Eddie Irvine = +  1 Lap
      Mark Webber = +  2 Laps
      Giancarlo Fisichella = +  3 Laps
      Jenson Button = +  6 Laps
      Juan Montoya = DNF - Engine
      Jarno Trulli = DNF - Exhaust
      Kimi Raikkonen = DNF - Suspension
      Ralf Schumacher = DNF - Accident
      Jacques Villeneuve = DNF - Accident
      Alex Yoong = DNF - Electrical
      Enrique Bernoldi = DNF - Accident
    }
    RaceEvents
    {
      Enrique Bernoldi
      {
        3 = Accident
      }
      Ralf Schumacher
      {
        5 = Accident
      }
      Jacques Villeneuve
      {
        5 = Accident
      }
      Jenson Button
      {
        18 = Stop and Go
      }
      Jarno Trulli
      {
        39 = Engine
      }
      Juan Montoya
      {
        41 = Engine Blown
      }
    }
    Weather
    {
      Practice1
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 20
        TrackTemp = 22
      }
      Practice2
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 24
        TrackTemp = 28
      }
      Practice3
      {
        Conditions = Clear
        TrackWetness = Dry
        AmbientTemp = 14
        TrackTemp = 15
      }
      Practice4
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 18
        TrackTemp = 22
      }
      Qualify
      {
        Conditions = Nice
        TrackWetness = Dry
        AmbientTemp = 22
        TrackTemp = 23
      }
      Warmup
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 19
        TrackTemp = 21
      }
      Race
      {
        Conditions = Best
        TrackWetness = Dry
        AmbientTemp = 23
        TrackTemp = 28
      }
    }
    PitStopStrategies
    {
      Michael Schumacher = 1 - 37
      Rubens Barrichello = 1 - 39
      Kimi Raikkonen = 1 - 39
      David Coulthard = 1 - 41
      Ralf Schumacher = 1 - 35
      Juan Montoya = 1 - 33
      Giancarlo Fisichella = 2 - 26,50
      Jenson Button = 1 - 32
      Olivier Panis = 1 - 40
      Jacques Villeneuve = 1 - 39
      Takuma Sato = 1 - 37
      Jarno Trulli = 1 - 33
      Enrique Bernoldi = 2 - 20,41
      Nick Heidfeld = 1 - 37
      Felipe Massa = 1 - 36
      Eddie Irvine = 2 - 39,50
      Pedro De La Rosa = 1 - 36
      Alex Yoong = 2 - 24,38
      Mark Webber = 2 - 32,41
      Heinz-Harald Frentzen = 1 - 35
      Mika Salo = 1 - 34
      Allan McNish
    }
  }
}
F1_Circuit_Race_Times
{
  Australia = 89.462
  Malaysia = 97.688
  Brazil = 74.568
  SanMarino = 80.362
  Spain = 80.088
  Austria = 69.954
  Monaco = 83.547
  Canada = 79.298
  Europe = 100.910
  France = 74.441
  GreatBritain = 79.804
  Germany = 76.800
  Hungary = 74.156
  Belgium = 107.329
  Italy = 85.432
  UnitedStates = 74.825
  Japan = 97.470
}
F1_Circuit_AI_Qual_Setup_Wetness00
{
  Australia = Australia.svm
  Malaysia = Malaysia.svm
  Brazil = Brazil.svm
  SanMarino = San Marino.svm
  Spain = Spain.svm
  Austria = Austria.svm
  Monaco = Monte Carlo.svm
  Canada = Canada.svm
  Europe = Europe.svm
  France = France.svm
  GreatBritain = Great Britain.svm
  Germany = Germany.svm
  Hungary = Hungary.svm
  Belgium = Belgium.svm
  Italy = Italy.svm
  UnitedStates = United States.svm
  Japan = Japan.svm
}
F1_Circuit_AI_Race_Setup_Wetness00
{
  Australia = Australia.svm
  Malaysia = Malaysia.svm
  Brazil = Brazil.svm
  SanMarino = San Marino.svm
  Spain = Spain.svm
  Austria = Austria.svm
  Monaco = Monte Carlo.svm
  Canada = Canada.svm
  Europe = Europe.svm
  France = France.svm
  GreatBritain = Great Britain.svm
  Germany = Germany.svm
  Hungary = Hungary.svm
  Belgium = Belgium.svm
  Italy = Italy.svm
  UnitedStates = United States.svm
  Japan = Japan.svm
}
F1_Circuit_Qualify_Times
{
  Australia = 89.462
  Malaysia = 97.688
  Brazil = 74.568
  SanMarino = 80.362
  Spain = 80.088
  Austria = 69.954
  Monaco = 83.547
  Canada = 79.298
  Europe = 100.910
  France = 74.441
  GreatBritain = 79.804
  Germany = 76.800
  Hungary = 85.200
  Belgium = 107.329
  Italy = 85.432
  UnitedStates = 74.825
  Japan = 97.470
}
Circuit_Settings_Folder_Create_Actions
{
  Australia
  {
    Default = Grip.svm
    Copy = Australia.svm
  }
  Malaysia
  {
    Default = Grip.svm
    Copy = Malaysia.svm
  }
  Brazil
  {
    Default = Grip.svm
    Copy = Brazil.svm
  }
  SanMarino
  {
    Default = Grip.svm
    Copy = San Marino.svm
  }
  Spain
  {
    Default = Grip.svm
    Copy = Spain.svm
  }
  Austria
  {
    Default = Grip.svm
    Copy = Austria.svm
  }
  Monaco
  {
    Default = Grip.svm
    Copy = Monte Carlo.svm
  }
  Canada
  {
    Default = Grip.svm
    Copy = Canada.svm
  }
  Europe
  {
    Default = Grip.svm
    Copy = Europe.svm
  }
  France
  {
    Default = Grip.svm
    Copy = France.svm
  }
  GreatBritain
  {
    Default = Grip.svm
    Copy = Great Britain.svm
  }
  Germany
  {
    Default = Grip.svm
    Copy = Germany.svm
  }
  Hungary
  {
    Default = Grip.svm
    Copy = Hungary.svm
  }
  Belgium
  {
    Default = Grip.svm
    Copy = Belgium.svm
  }
  Italy
  {
    Default = Grip.svm
    Copy = Italy.svm
  }
  UnitedStates
  {
    Default = Grip.svm
    Copy = United States.svm
  }
  Japan
  {
    Default = Grip.svm
    Copy = Japan.svm
  }
}
SeasonScoringInfo
{
  FirstPlace = 10
  SecondPlace = 6
  ThirdPlace = 4
  FourthPlace = 3
  FifthPlace = 2
  SixthPlace = 1
}
